= nng_tls_engine_description(3tls)
//
// Copyright 2020 Staysail Systems, Inc. <info@staysail.tech>
//
// This document is supplied under the terms of the MIT License, a
// copy of which should be located in the distribution where this
// file was obtained (LICENSE.txt).  A copy of the license may also be
// found online at https://opensource.org/licenses/MIT.
//

== NAME

nng_tls_engine_description - TLS engine description

== SYNOPSIS

[source,c]
----
#include <nng/supplemental/tls/tls.h>

const char *nng_tls_engine_description(void);
----

== DESCRIPTION

The `nng_tls_engine_description()` returns a short description for the current
xref:nng_tls_engine.5.adoc[TLS engine].
If no engine is registered, then the empty string ("") is returned.
This is principally useful for diagnostic purposes.

== RETURN VALUES

The description of the engine of the engine.

== ERRORS

None.

== SEE ALSO

[.text-left]
xref:nng_tls_engine_name.3tls.adoc[nng_tls_engine_name(3tls)],
xref:nng_tls_engine.5.adoc[nng_tls_engine(5)],
xref:nng.7.adoc[nng(7)]
